* {
  box-sizing: border-box
}

body {
  background-color: #E6E6E6;
}

/* telefon grid */
#grid {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr;
  grid-template-rows: 0.25fr 0.15fr 1fr 0.25 repeat(10, 1fr);
  grid-template-areas: "header"
    "nav"
    "Bildspel"
    "prickar"
    "fs11"
    "Maxbild"
    "Max"
    "Oskarbild"
    "Oskar"
    "Isakbild"
    "Isak"
    "Yossefbild"
    "Yossef"
    "footer"
  ;
}

/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
  grid-area: Bildspel;
}




/* knappar */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position för knappar */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* Ändrar fär när man hoverar */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* bild text */
.text {
  color: #000000;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* bild nummer */
.numbertext {
  color: #000000;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* prickar */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active,
.dot:hover {
  background-color: #717171;
}

/* animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {
    opacity: .4
  }

  to {
    opacity: 1
  }
}

footer {
  text-align: center;
  grid-area: footer;
}

section {
  border: solid #C65300;
  margin: 1%;
  background-color: white;
  margin-top: 4vh;
  margin-bottom: 4vh;

}

header {
  text-align: center;
  grid-area: header;
  background-color: rgb(26, 28, 44);
  color: white;
}

h1 {
  margin: 5%;
  font-size: 300%;
  font-family: 'Roboto', sans-serif;
}

p {
  margin: 2%;
}

h2 {
  margin: 2%;
}


#fs11 {
  grid-area: fs11;
}

#Max {
  grid-area: Max;
}

#Oskar {
  grid-area: Oskar;
}

#Isak {
  grid-area: Isak;
}

#Yossef {
  grid-area: Yossef;

}

#Maxbild {
  grid-area: Maxbild;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

#Oskarbild {
  grid-area: Oskarbild;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

#Isakbild {
  grid-area: Isakbild;
  display: block;
  margin-left: auto;
  margin-right: auto;
  
}

#Yossefbild {
  grid-area: Yossefbild;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

div img {
  width: 100%;
  margin-top: 4vh;
  margin-bottom: 4vh;
}

#prickar {
  text-align: center;
  grid-area: prickar;
}

nav {
  grid-area: nav;
  text-align: center;
  background-color: #0077B7;

}

nav ul {
  list-style-type: none;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-size: 90%;


}

a {
  font-family: 'Roboto', sans-serif;
  color: white;
}

li {
  margin: 5%;
}

/* grid för tablet */
@media only screen and (min-width: 600px) {
  #grid {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 0.25fr 0.15fr 1fr 0.25fr repeat(5, 0.5fr) 0.25fr;
    grid-template-areas: "header header"
      "nav nav"
      "Bildspel Bildspel"
      "prickar prickar"
      "fs11 fs11"
      "Maxbild Max"
      "Oskar Oskarbild"
      "Isakbild Isak"
      "Yossef Yossefbild"
      "footer footer"

    ;
  }

  nav {
    font-size: 150%;
  }
}

/* grid för dator */
@media only screen and (min-width: 769px) {
  #grid {
    display: grid;
    width: 100%;
    grid-template-columns: 0.25fr 1fr 0.25fr;
    grid-template-rows: 0.25fr 0.15fr 1fr 0.25fr repeat(6, 0.25fr);
    grid-template-areas: "header header header"
      "nav nav nav"
      "Bildspel Bildspel Bildspel"
      "prickar prickar prickar"
      "fs11 fs11 fs11"
      "Maxbild Max Max"
      "Oskar Oskar Oskarbild"
      "Isakbild Isak Isak"
      "Yossef Yossef Yossefbild"
      "footer footer footer"
    ;
  }

  nav {
    font-size: 200%;
  }
}